/* /Features/ButtonComp.razor.rz.scp.css */
/* Common button styles */
.btn[b-407sb1ouz0] {
    position: relative;
    display: inline-block;
    font-weight: 500;
    color: #212529;
    text-align: center;
    vertical-align: middle;
    cursor: pointer;
    user-select: none;
    border: 1px solid darkslategray !important;
    margin: 2px;
    padding: .375rem .75rem;
    font-size: 1rem;
    line-height: 1.5;
    border-radius: .25rem;
    transition: color .15s ease-in-out,background-color .15s ease-in-out,border-color .15s ease-in-out,box-shadow .15s ease-in-out;
}

    .btn.disabled[b-407sb1ouz0] {
        opacity: 0.65;
        cursor: not-allowed !important;
        pointer-events: none !important;
        color:black;
    }

    .btn:hover[b-407sb1ouz0] {
        opacity: 0.75;
    }

/* Button specific styles */
.btn-ok[b-407sb1ouz0] {
    color: white;
    background-color: #198754;
    border-color: #198754;
}

.btn-cancel[b-407sb1ouz0] {
    color: white;
    background-color: #dc3545;
    border-color: #dc3545;
}

.btn-nav[b-407sb1ouz0] {
    color: white;
    background-color: #6610f2;
    border-color: #6610f2;
    
}

.btn-other[b-407sb1ouz0] {
    color: white;
    background-color: #6c757d;
    border-color: #6c757d;
}

.btn-custom1[b-407sb1ouz0] {
    color: white;
    background-color: #ffc107;
    border-color: #ffc107;
}

.btn-custom2[b-407sb1ouz0] {
    color: white;
    background-color: #0d6efd;
    border-color: #0d6efd;
}

.btn-custom3[b-407sb1ouz0] {
    color: white;
    background-color: #20c997;
    border-color: #20c997;
}

/* Spinner Styles */
.spinner-container[b-407sb1ouz0] {
    display: inline-block;
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    width: 25px;
    height: 25px;
}

.spinner[b-407sb1ouz0] {
    animation: rotate-b-407sb1ouz0 2s linear infinite;
    height: 100%;
    transform-origin: center;
}

.spinner-path[b-407sb1ouz0] {
    stroke: #000000; /* Default color, can be changed based on needs */
    stroke-linecap: round;
    animation: dash-b-407sb1ouz0 1.5s ease-in-out infinite;
}

/* Spinner Animation */
@keyframes rotate-b-407sb1ouz0 {
    100% {
        transform: rotate(360deg);
    }
}

@keyframes dash-b-407sb1ouz0 {
    0% {
        stroke-dasharray: 1, 150;
        stroke-dashoffset: 0;
    }

    50% {
        stroke-dasharray: 90, 150;
        stroke-dashoffset: -35;
    }

    100% {
        stroke-dasharray: 90, 150;
        stroke-dashoffset: -124;
    }
}

/* Spinner Colors */
.spinner-container.color-ok .spinner-path[b-407sb1ouz0] {
    stroke: white; /* Blue (Contrasting with Green) */
}

.spinner-container.color-cancel .spinner-path[b-407sb1ouz0] {
    stroke: #f8d7da; /* Light Red (Contrasting with Red) */
}

.spinner-container.color-nav .spinner-path[b-407sb1ouz0] {
    stroke: #ffc107; /* Yellow (Contrasting with Blue) */
}

.spinner-container.color-other .spinner-path[b-407sb1ouz0] {
    stroke: #fff; /* White (Contrasting with Gray) */
}

.spinner-container.color-custom1 .spinner-path[b-407sb1ouz0] {
    stroke: #007bff; /* Blue (Contrasting with Yellow) */
}

.spinner-container.color-custom2 .spinner-path[b-407sb1ouz0] {
    stroke: #20c997; /* Teal (Contrasting with Purple) */
}

.spinner-container.color-custom3 .spinner-path[b-407sb1ouz0] {
    stroke: #dc3545; /* Red (Contrasting with Greenish Cyan) */
}
/* /Features/Grid/ColumnLayout.razor.rz.scp.css */
.outer-grid[b-sjzlk2v5e9] {
    display: grid;
    grid-template-columns: 1fr 2fr;
    justify-content: space-between;
    width: 1000px;
}

.outer-grid h5[b-sjzlk2v5e9]{
    margin-top:7px;
}

.auto-complete-grid[b-sjzlk2v5e9] {
    display: grid;
    grid-template-columns: auto 300px;
    justify-content: end;
    align-content: center;
    gap: 10px;
    margin-bottom: 4px;
}


.grid-container[b-sjzlk2v5e9] {
    display: grid;
    grid-template-columns: 3fr 1fr;
    height: calc(100vh - 200px); /* Adjust the height as needed */
}

[b-sjzlk2v5e9] .highlighted-row {
    background-color: yellow !important;
    font-weight:bolder;
}


.button-container[b-sjzlk2v5e9] {
    display: flex;
    align-items: flex-end;
    justify-content: flex-end;
    padding: 1em; /* optional: to provide some space around the button */
    margin-right: 1em;
}

.close-button[b-sjzlk2v5e9] {
    /* Add styles for your button here */
}

/* /Features/Grid/LayoutColumnsEdit.razor.rz.scp.css */
.layout-container[b-s1zo4glhum] {
    display: grid;
    grid-template-columns: 3fr 1fr;
    height: calc(100vh - 230px); /* Adjust the height as needed */
}

.grid-container[b-s1zo4glhum], .button-container[b-s1zo4glhum] {
    height: 100%;
}

.button-container[b-s1zo4glhum] {
    display: flex;
    align-items: flex-end;
    justify-content: flex-end;
    padding: 1em; /* optional: to provide some space around the button */
    margin-right: 1em;
}

.close-button[b-s1zo4glhum] {
    /* Add styles for your button here */
}
/* /Features/Layout/FooterBlockComp.razor.rz.scp.css */
#footerblock[b-hpzdj3ovzj] {
    display: grid;
    grid-template-columns: 1fr;
    grid-row-gap: 0px;
    align-content: center;
    justify-content: center;
    border-right: 2px solid #2b2b2b;
}

    #footerblock:first-child[b-hpzdj3ovzj] {
        border-left: 2px solid #2b2b2b; 
        border-right: 2px solid #2b2b2b; 
    }

    #footerblock:not(:first-child)[b-hpzdj3ovzj] {
        border-left: none; /* remove left border */
    }

    #footerblock h6[b-hpzdj3ovzj], #footerblock h5[b-hpzdj3ovzj] {
        text-align: center;
        margin: 0;
    }



.rangecontainer[b-hpzdj3ovzj] {
    display: grid;
    grid-template-columns: 5fr 1fr 5fr;
    grid-gap: 0.5em;
}

    .rangecontainer span:first-child[b-hpzdj3ovzj] {
        text-align: right;
    }

    .rangecontainer span:last-child[b-hpzdj3ovzj] {
        text-align: left;
    }

    .divider[b-hpzdj3ovzj]{
        text-align:center;
    }

/* /Features/Layout/FooterSummaryComp.razor.rz.scp.css */
.footersummary[b-l9b7dl6tb9] {
    display: flex;
    position: fixed;
    bottom: 0px;
    background-color: #424242;
    color: #d0d0d0;
    width: 100%;
    height: 64px;
    padding-left: 1em;
    padding-right: 1em;
    align-items: center;
    gap: 10px;
    overflow: visible;
    border-top: 2px solid rgba(0, 0, 0, 0.3);
    z-index: 3000;
}

.version-key[b-l9b7dl6tb9] {
    display: grid;
    grid-template-columns: 20px auto;
    grid-template-rows: repeat(3, 1fr);
    height: 57px;
    gap: 1px; /* Adjust gap if needed */
    grid-column-gap: 8px;
    font-size: small;
    line-height: 1rem;
}

.row-added[b-l9b7dl6tb9] {
    background-color: yellow !important;
}

.row-deleted[b-l9b7dl6tb9] {
    background-color: lightcoral !important;
}

.difference[b-l9b7dl6tb9] {
    font-weight: bold !important;
    background-color: #833dff !important;
}

/* /Features/Layout/HeaderToolbarComp.razor.rz.scp.css */
.headertoolbar[b-5772civnum] {
    display: grid;
    grid-template-columns: 300px 1fr 300px;
    background-color: #009688;
    color: white;
    width: 100%;
    height: 64px;
    padding-left: 1em;
    align-items: center;
    overflow: visible;
    border-bottom: 2px solid rgba(0, 0, 0, 0.3);
}

#header-buttons[b-5772civnum]{
    margin-left:250px;
}

.menu-div[b-5772civnum] {
    margin-top: 10px;
    margin-left: -5px;
    display: flex;
    align-items: center;
    justify-content: left;
}

    .menu-div button:focus[b-5772civnum],
    .menu-div button:active[b-5772civnum] {
        outline: none;
        border: none;
    }

    .menu-div button .sf-icon[b-5772civnum] {
        color: white;
    }

    .menu-div button:hover .sf-icon[b-5772civnum] {
        color: #241a02;
    }

#header-logo[b-5772civnum] {
    position: absolute;
    top: 3px;
    left: 210px;
    z-index: 1101;
}

#header-logo img[b-5772civnum]{
    overflow:visible;

}

#tools-on-right[b-5772civnum] {
    display: grid;
    grid-template-rows: 1fr;
    grid-template-columns: 2fr 1fr 1fr 1fr;
    justify-self: end;
    width: 285px;
}




.sf-icon[b-5772civnum] {
    font-family: 'appicons2' !important;
    speak: none;
    font-size: 35px;
    font-style: normal;
    font-weight: normal;
    font-variant: normal;
    text-transform: none;
    line-height: 1;
    -webkit-font-smoothing: antialiased;
    -moz-osx-font-smoothing: grayscale;
}

.sf-icon-gear[b-5772civnum]:before {
    content: "\e701";
}

.sf-icon-account[b-5772civnum]:before {
    content: "\e702";
}

.sf-icon-left[b-5772civnum]:before {
    content: "\e703";
}

.sf-icon-right[b-5772civnum]:before {
    content: "\e704";
}

.sf-icon-pull[b-5772civnum]:before {
    content: "\e705";
}

.sf-icon-mail[b-5772civnum]:before {
    content: "\e706";
}

.sf-icon-export[b-5772civnum]:before {
    content: "\e707";
}

.sf-icon-toggle[b-5772civnum]:before {
    content: "\e708";
}

.sf-icon-pull-o[b-5772civnum]:before {
    content: "\e709";
}

.sf-icon-mail-o[b-5772civnum]:before {
    content: "\e70a";
}

.sf-icon-columns[b-5772civnum]:before {
    content: "\e70b";
}

.sf-icon-filter[b-5772civnum]:before {
    content: "\e70c";
}

.sf-icon-menu_01[b-5772civnum]:before {
    content: "\e70d";
}

.sf-icon-instructions[b-5772civnum]:before {
    content: "\e715";
    font-size:40px;
}

@font-face {
    font-family: 'appicons2';
    src: url(data:application/x-font-ttf;charset=utf-8;base64,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) format('truetype');
    font-weight: normal;
    font-style: normal;
}
/* /Features/ProgressBar.Razor.rz.scp.css */

.progress-container[b-mb7l4s3v6j] {
    position: absolute; /* Use 'fixed' if you want it to be in the same place on the viewport */
    top: 8px; /* Adjust as needed */
    left: 350px; /* Adjust as needed */
    z-index: 1000; /* Ensure it's above other content; adjust value as needed */

    height: 100px;
    width: calc((100vw - 300px) * 0.75);
    text-align: center;
    margin-bottom: 10px;
}

.caption[b-mb7l4s3v6j] {
    margin-bottom: 2px;
    margin-left: 10px;
    text-align: left;
    font-size:small;
}

.progress-bar[b-mb7l4s3v6j] {
    width: 100%;
    background-color: gray;
    height: 16px;
    border-radius: 5px;
    overflow: hidden; /* Ensures the progress doesn't overflow */
}

.progress[b-mb7l4s3v6j] {
    height: 100%;
    background-color: #833dff;
    transition: width 0.5s ease-in-out; /* Smooth transition for width change */
}

/* /Features/PullData/SelectPullRange.razor.rz.scp.css */
body[b-5ecnukf9e8] {
    background-color: #009688;
}

.card[b-5ecnukf9e8] {
    border: 1px solid #ccc;
    border-radius: 5px;
    box-shadow: 0 2px 5px rgba(0,0,0,0.15);
    width: 600px;
}

.card-content[b-5ecnukf9e8] {
    padding: 20px;
    height: 319px;
}

.grid-container[b-5ecnukf9e8] {
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    gap: 10px;
}

.grid-item[b-5ecnukf9e8] {
    display: grid;
    gap: 6px;
}


.card-actions[b-5ecnukf9e8] {
    display: flex;
    justify-content: flex-end;
    margin-top:20px;
    margin-bottom: 10px;
    margin-left: 20px;
    margin-right: 20px;
    gap: 20px;
    padding-bottom: 20px;
    border-bottom: 2px solid #b8b8b8; /* medium gray */
}

.card-row[b-5ecnukf9e8] {
    display: flex;
    align-items: center;
    gap: 10px;
    margin: 20px;
    margin-top: 50px;
}

.card-actions button[b-5ecnukf9e8] {
    padding-left: 20px;
    padding-right: 20px;
}

.card-row .key[b-5ecnukf9e8] {
    flex: 0 0 auto;
}

    .card-row button[b-5ecnukf9e8] {
        flex: 1;
        text-align: center;
    }

.my-1[b-5ecnukf9e8] {
    margin-top: 0.25rem; /* Or use a value that matches your design */
    margin-bottom: 0.25rem; /* Or use a value that matches your design */
    width:100%;
    border-width:1px;
}

.pl-1[b-5ecnukf9e8] {
    padding-left: 0.25rem; /* Or use a value that matches your design */
}

button:not([disabled]):hover[b-5ecnukf9e8] {
    filter: brightness(80%);
}

button:disabled[b-5ecnukf9e8] {
    background-color: #CCCCCC !important;
    color: #7a7a7a !important;
}

.range[b-5ecnukf9e8]{
    display:grid;
    grid-template-columns: 2fr 1fr;
    
    margin-top:2em;
    width:100%;
}

.range-left[b-5ecnukf9e8]{
    justify-content: center;
}

.range-right[b-5ecnukf9e8] {
    font-style: italic;
    justify-self:end;
}

.card-row[b-5ecnukf9e8]{
    width:100%;
}
    .card-row div[b-5ecnukf9e8] {
        width: 120px;
        border: 1px solid #616060;
        text-align: center;
    }

.pull-type-buttons[b-5ecnukf9e8] {
    display: grid;
    grid-template-columns: 1fr;
    grid-template-rows: auto auto auto;
    gap: 15px;
    padding-left: 40px;
    padding-right: 40px;
    width:475px;
}

    .pull-type-buttons button[b-5ecnukf9e8] {
        height: 50px;
        width:100%;
        font-size:large;
    }
/* /Features/Settings/Settings.razor.rz.scp.css */
.button-container[b-p8muipij84] {
    display: flex;
    justify-content: flex-end;
    margin: 1em 1em 0 1em;
}

.button-comp[b-p8muipij84] {
    margin-left: auto;
}
/* /Features/Sidebar/InstructionsComp.razor.rz.scp.css */
#instructions-container[b-vw0jgu2h1u] {
    display: grid;
    grid-template-rows: 44px 1fr;
    height: 100%;
    width: 100%;
    border-bottom: 2px solid #06695f;
    border-left: 2px solid #06695f;
    border-right: 2px solid #06695f;
    box-sizing: border-box;
    background-color: #fff8b5;
}

#instructions-header[b-vw0jgu2h1u] {
    background-color: yellow;
    width: 100%;
    height: 48px;
    padding-left: 1em;
    border-bottom: 2px solid #06695f;
}

#instructions-header h3[b-vw0jgu2h1u] {
    margin-top: 8px;
}

    #instructions-content[b-vw0jgu2h1u] {
    display: grid;
    grid-template-rows: 1fr 10fr;
}

#instructions-content #title[b-vw0jgu2h1u] {
    margin-top: 1em;
    margin-left: 1.5em;
    font-size: 1.5em;
}

.form-container[b-vw0jgu2h1u] {
    display: grid;
    grid-template-rows: 8fr 1fr;
    height:100%;
}

.textarea[b-vw0jgu2h1u] {
    grid-row: 1 / -1;
    align-self: start;
    margin-left: 0.5em;
    margin-right: 0.5em;
}


/* /Features/Sidebar/SidebarCheckboxesComp.razor.rz.scp.css */
#sidebar-checkboxes[b-n0ty6zzt2b] {
    display: grid;
    grid-template-columns: 1fr;
    padding-bottom:3px;
    padding-left: 3em;
    margin-top: 2em;

}
/* /Features/Sidebar/SidebarContainerComp.razor.rz.scp.css */
#sidebar-container[b-8aidgmqy2w] {
    width: 100%;
    border-right: 2px solid #06695f;
    border-left: 2px solid #06695f;
    border-bottom: 2px solid #06695f;
}
/* /Features/Sidebar/SidebarNavComp.razor.rz.scp.css */
#sidebar-nav-container[b-4tiobifvdx]{
    display: grid;
    grid-template-columns: 1fr;
    grid-template-rows: 1fr 1fr;
    margin-top: 1.5em;
}

#sidebar-nav-captions[b-4tiobifvdx] {
    display: grid;
    grid-template-columns: 1fr;
    justify-content: center;
    align-content: start;
    text-align: center;
}

#line2[b-4tiobifvdx]{
    margin-top: -0.35em;
}
#line3[b-4tiobifvdx]{
    margin-top: 0.5em;
}

#sidebar-nav-nav[b-4tiobifvdx]{
    display: grid;
    grid-template-columns: 1fr;
    grid-template-rows: 2fr 1fr;
    height: 100%;
    justify-content: center;
    align-content: start;
    
}

#buttons[b-4tiobifvdx]{
    display: grid;
    grid-template-columns: 1fr 1fr;
    grid-template-rows: 1fr;
    gap: 1em;
    margin-bottom: 1em;
}

#button-left[b-4tiobifvdx] {
    width: 100px;
    justify-self: end;
    align-self: end;
}
#button-right[b-4tiobifvdx] {
    width: 100px;
    justify-self: start;
    align-self: end;
}


#x-of-y[b-4tiobifvdx] {
    text-align: center;
}
/* /Features/Sidebar/SidebarStepsComp.razor.rz.scp.css */
#sidebar-steps[b-ar1r4r5zbr] {
    display: grid;
    grid-template-columns: 1fr;
    grid-template-rows: 1fr 5fr 1fr 2fr 6fr;
    height: calc(100vh - 132px);
}


#sidebar-head[b-ar1r4r5zbr] {
    background-color: #82df78;
    width: 100%;
    height: 48px;
    padding-left:1em;
    border-bottom: 2px solid #06695f;
}

h3[b-ar1r4r5zbr]{
    margin-top: 8px;
}

#sidebar-nav[b-ar1r4r5zbr] {
    width: 100%;
    height: 100%;
}
#sidebar-refresh[b-ar1r4r5zbr] {
    display: grid;
    align-content: center;
    justify-content: center;
    width: 100%;
    height: 100%;
}
#sidebar-checkboxes[b-ar1r4r5zbr] {
    display: grid;
    grid-template-columns: 1fr;
    padding-left: 3em;
    height: 4em;
    margin-top: 2em;
}
#sidebar-summary[b-ar1r4r5zbr] {
    display: grid;
    align-content: center;
    justify-content: center;
    width: 100%;
    height: 100%;
}





/* /Features/Sidebar/Step0/CheckboxListComp.razor.rz.scp.css */
#sidebar-checkboxes[b-r79610pe4f] {
    display: grid;
    grid-template-columns: 1fr;
    padding-left: 2em;
    margin-top: 10px;
    gap:4px;
}
/* /Features/Sidebar/Step0/FilterDrawerComp.razor.rz.scp.css */
#sidebar[b-yhcqdw6b44] {
    display: grid;
    grid-template-columns: 1fr;
    grid-template-rows: 48px auto;
    align-items: start;
    height: calc(100vh - 132px);
    overflow:auto;
}

#sidebar-head[b-yhcqdw6b44] {
    background-color: #ff9800;
    width: 100%;
    height: 48px;
    padding-left: 1em;
    border-bottom: 2px solid #06695f;
}

#accordion[b-yhcqdw6b44]{
    align-self: start;
}

h3[b-yhcqdw6b44] {
    margin-top: 8px;
}
/* /Features/Sidebar/SummaryFullSetComp.razor.rz.scp.css */
#summary-container[b-4r80v37suh] {
    padding-top: 8px;
    padding-left: 1em;
    border-top: 2px solid gray;
    width: 296px;
}

    #summary-container h6[b-4r80v37suh] {
        line-height: 1;
        padding-left: 1em;
        color: #424242;
    }

        #summary-container h6 span.value[b-4r80v37suh] {
            color: black;
            font-weight: 700;
            
        }
/* /Features/TestComp.razor.rz.scp.css */
[b-3yqi2cbyrh] h3 {
    color:rebeccapurple;
}

[b-3yqi2cbyrh] div {
    height: 100px;
    width: 100px;
    background-color: powderblue;
}
/* /Features/User/Account.razor.rz.scp.css */
.account-form-container[b-8ryu8nromf] {
    width: 500px;
    padding: 12px;
    border-radius: 6px;
    border: 3px solid #064b44;
    margin-top: 20px;
}



.button-container[b-8ryu8nromf] {
    display: flex;
    justify-content: flex-end;
    align-items: center;
    margin-top: 10px;
    gap: 10px;
}

.btn-secondary[b-8ryu8nromf] {
    background-color: #f44336 !important;
}



/* Tab 2 */

.change-password-form-container[b-8ryu8nromf] {
    width: 650px;
    height: 500px;
    padding: 12px;
    border-radius: 6px;
    border: 3px solid #064b44;
    margin-top: 20px;
    display: grid;
    grid-template-columns: 1fr;
    grid-template-rows: 40px auto auto;
    gap: 12px;
}

.two-col-row[b-8ryu8nromf] {

}


.myrow2[b-8ryu8nromf] {
    display: grid;
    grid-template-columns: 1fr 1fr;
    grid-template-rows: 1fr;
    gap: 12px;
}

.myrow2-right[b-8ryu8nromf] {
    display: grid;
    grid-template-columns: 1fr;
    grid-template-rows: 2fr;
    gap: 8px;
}

.form-left[b-8ryu8nromf]{

}

.myrow3[b-8ryu8nromf] {
    display: grid;
    grid-template-columns: 1fr 1fr;
    grid-template-rows: 1fr;
    gap: 12px;
    padding-top: 10px;
}


.placeholder-div[b-8ryu8nromf] {
    margin-top: 70px;
}

.placeholder-div-right[b-8ryu8nromf] {
    height
    background-color: aquamarine;
    border: 1px solid lightgray;
}

.change-password-button-container[b-8ryu8nromf] {
    display: flex;
    justify-content: flex-end;
    align-items: center;
    gap: 10px;
}

/* /Features/User/Forgot.razor.rz.scp.css */
#forgot-container[b-t7cw7ovfgv] {
    display: grid;
    grid-template-columns: 1fr;
    grid-template-rows: 1fr;
    width: 900px;
    padding: 12px;
    border-radius: 6px;
    border: 3px solid #064b44;
    margin-top: -23px;
}

#row-forgot-buttons[b-t7cw7ovfgv] {
    display: flex;
    justify-content: center;
    align-items: center;
    margin-top: 20px;
    padding-top: 15px;
    padding-bottom: 25px;
    padding-right: 25px;
    gap: 10px;
   
}
/* /Features/User/LoggedOut.razor.rz.scp.css */
#register-loggedout-container[b-3ry8b3dvam] {
    display: grid;
    grid-template-columns: 1fr;
    grid-template-rows: 1fr;
    width: 900px;
    padding: 12px;
    border-radius: 6px;
    border: 3px solid #064b44;
    margin-top: -23px;
}




/* /Features/User/Login.razor.rz.scp.css */
#login-container[b-oknjzcom4e] {
    display: grid;
    grid-template-columns: 1fr;
    grid-template-rows: 1fr;
    width: 600px;
    padding: 12px;
    border-radius: 6px;
    border: 3px solid #064b44;
    margin-top: -23px;
}

#main-container[b-oknjzcom4e] {
    display: flex;
    flex-direction: column;
    align-items: center;
    width: 100%;
}

.row[b-oknjzcom4e] {
    display: flex;
    flex-direction: row;
    margin-bottom: 15px;
}

.row-check-and-forgot[b-oknjzcom4e] {
    display: grid;
    grid-template-rows: 1fr;
    grid-template-columns: 1fr 1fr;
    width: 100%;
    margin-left: 10px;
    margin-right: 10px;
    margin-bottom: 25px;
}
.checkbox-container[b-oknjzcom4e] {
    display: grid;
    align-items: start;
    margin-left: 15px;
}

.forgot-password-container[b-oknjzcom4e] {
    display: flex;
    align-items: center;
    justify-content: end;
    margin-right: 15px;
    font-size: 14px;
}

.input-container[b-oknjzcom4e] {
    display: grid;
    grid-template-columns: 1fr;
    padding-top: 15px;
    padding-left: 25px;
    margin-bottom: 15px;
    align-items: center;
    justify-items: center;
    width: 80%;
    margin-top: 10px;
    border: 1px solid #82df78;
}

.button-yes[b-oknjzcom4e] {
    width: 100%;
}

.row p[b-oknjzcom4e] {
    color: darkgreen;
    font-size: 0.8rem;
}

.row[style*="background-color: #fc4c28"][b-oknjzcom4e] {
    padding: 20px;
    text-align: center;
}

.row-unauthorized[b-oknjzcom4e] {
    border: 1px solid #833dff;
    background-color: #fc4c28;
    margin-top: 25px;
    display: flex;
    align-items: center;
    justify-content: center;
    font-weight: 700;
    padding: 20px;

}
/* /Features/User/PasswordComp.razor.rz.scp.css */
.passwords[b-i63xunrgfw] {
    display: grid;
    grid-template-columns: 1fr;
    width: 75%;
}

.password-column[b-i63xunrgfw] {
    display: grid;
    grid-template-columns: 1fr;
    grid-template-rows: 1fr auto;
    gap: 8px;
}

.placeholder-div-right[b-i63xunrgfw] {
    height: 200px;
    background-color: aquamarine;
    border: 1px solid lightgray;
}

.req-container[b-i63xunrgfw] {
    display: flex;
    flex-direction: column;
    margin-top: 29px;
    padding-left:10px;
    font-size: 12px;
}

    .req-container h7[b-i63xunrgfw] {
        font-weight: 600;
        margin-bottom: 3px;
    }


.req-row[b-i63xunrgfw] {
    display: flex;
    flex-direction: row;
    align-items: center;
}

.smaller-image[b-i63xunrgfw] {
    width: 80%;
    height: auto;
}
.descr[b-i63xunrgfw]{
    margin-left: 4px;
}
/* /Features/User/PasswordTextboxComp.razor.rz.scp.css */

/* /Features/User/Reset.razor.rz.scp.css */
#register-container[b-xddkh25grd] {
    display: grid;
    grid-template-columns: 1fr;
    grid-template-rows: auto auto;
    width: 500px;
    padding: 12px;
    border-radius: 6px;
    border: 3px solid #064b44;
    margin-top: -23px;
}

#row-registerheader[b-xddkh25grd] {
    min-width: 100px;
}

#row-registerbuttons[b-xddkh25grd] {
    display: flex;
    justify-content: center;
    align-items: center;
    margin-top: 20px;
    padding-top: 15px;
    padding-bottom: 25px;
    padding-right: 25px;
    border-top: 1px solid #d5edd1
}
/* /Features/User/ResetInstructions.razor.rz.scp.css */
#reset-container[b-8hwaow5xwj] {
    display: grid;
    grid-template-columns: 1fr;
    grid-template-rows: 1fr;
    align-content: start;
    width: 600px;
    height: 280px;
    padding: 12px;
    border-radius: 6px;
    border: 3px solid #064b44;
    margin-top: -23px;
}


/* /Features/User/UserProfileComp.razor.rz.scp.css */


/* /Pages/Index.razor.rz.scp.css */
.grid-parent[b-vxu0dhth4t] {
    height: calc(100vh - 215px);
    
    margin-left: -8px;
    width: 99%;
    background-color: lightgray;
    border: 2px solid darkslategrey;
    overflow: auto;
}


.toolbar[b-vxu0dhth4t] {
    display: grid;
    grid-template-columns: 150px auto 175px; /* Grid columns */
    margin-top: -30px;
    margin-left: -8px;
    margin-bottom: 2px;
    width:99%;

    height: 40px;
    align-items: center;
}

    .toolbar .col1[b-vxu0dhth4t],
    .toolbar .col3[b-vxu0dhth4t] {
        display: grid;
        gap: 10px;
        align-items: center;
        justify-content: space-around;
    }

    .toolbar .col1[b-vxu0dhth4t] {
        grid-template-columns: repeat(4, 1fr);
    }

    .toolbar .col3[b-vxu0dhth4t] {
        grid-template-columns: repeat(4, 1fr);
    }

    .toolbar .col2[b-vxu0dhth4t] {
        display: flex;
        justify-content: center;
        gap: 10px;
    }


    .toolbar button[b-vxu0dhth4t] {
        border: none;
        background: none;
        padding: 0;
    }

        .toolbar button img[b-vxu0dhth4t] {
            display: block;
        }

        .toolbar button:hover img[b-vxu0dhth4t] {
            border: 1px solid black;
        }


.spinner-and-toolbar-container[b-vxu0dhth4t] {
    position: relative; /* Allows positioning children relative to this container */
}

.spinner-container[b-vxu0dhth4t] {
    position: absolute; /* Absolute positioning within the parent container */
    top: 70px; /* Position below the toolbar */
    left: 90%; /* Assuming col3 contains the MailOn button and occupies 1/3 of the toolbar width */
    transform: translateY(10px); /* Adjust this value to position the spinner closer or farther from the toolbar */
    z-index: 1000; /* Ensure it appears above other elements if needed */
}
